# Get current details of an async event job.

Get current details of an async event job

Endpoint: POST /v2/events/jobs/status
Version: v2
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http bearer

## Request fields (application/json):

  - `companyId` (string, required)
    Company Id for which job was created.
    Example: c5977a9b-095a-40be-a1bb-b9d3c894e4a5

  - `filters` (object)

  - `filters.filterType` (string, required)
    Used to distinguish which type of filter is applied.
    Enum: "JOB_ID_FILTER", "REFERENCE_ID_FILTER"

  - `filters.jobId` (string, required)
    Job Id for the async event job.
    Example: f7b3b3b3-7b3b-4b3b-8b3b-3b3b3b3b3b3b

  - `filters.referenceId` (string, required)
    Reference Id associated with the job.
    Example: 8859676988

  - `filters.type` (string)
    Event job type enum.
    Enum: "PUBLISH", "MODIFY", "CANCEL", "SEND_INVITE"

## Response 200:

  - `200` (unknown)
    Async job details.

## Response 200 fields (application/json):

  - `jobId` (string)
    Job Id for the async event job.
    Example: f7b3b3b3-7b3b-4b3b-8b3b-3b3b3b3b3b3b

  - `referenceId` (string)
    Reference Id associated with the job.
    Example: 8859676988

  - `type` (string)
    Event job type enum.
    Enum: "PUBLISH", "MODIFY", "CANCEL", "SEND_INVITE"

  - `status` (string)
    Event job status enum.
    Enum: "IN PROGRESS", "COMPLETED"

  - `totalItems` (integer)
    Total number of items which are being processed by the job.
    Example: 42

  - `successCount` (integer)
    Success item count.
    Example: 41

  - `failureCount` (integer)
    Failure item count.
    Example: 1

  - `jobItems` (array)
    Failed item array.

  - `jobItems.eventId` (string)
    Unique identifier for the event.
    Example: 56789012

  - `jobItems.status` (string)
    Event job item status enum.
    Enum: "SUCCESS", "FAILED"

  - `jobItems.message` (string)
    Error message

  - `createdAt` (object)
    ISO8601 UTC Date Time

  - `createdAt.iso8601` (string, required)
    Example: 2017-07-21T17:32Z

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

